#### Beyond Linux® From Scratch (systemd Edition) - Version r13.0-491

### Chapter 42. Multimedia Libraries and Drivers

- Prev

  libmad-0.15.1b

- Next

  libmusicbrainz-5.1.0

- Up
- Home

# libmpeg2-0.5.1

## Introduction to libmpeg2

The libmpeg2 package contains a library for decoding MPEG-2 and MPEG-1 video streams. The library is able to decode all MPEG streams that conform to certain restrictions: “constrained parameters” for MPEG-1, and “main profile” for MPEG-2. This is useful for programs and applications needing to decode MPEG-2 and MPEG-1 video streams.

### Note

Development versions of BLFS may not build or run some packages properly if LFS or dependencies have been updated since the most recent stable versions of the books.

### Package Information

- Download (HTTP): https://download.videolan.org/contrib/libmpeg2/libmpeg2-0.5.1.tar.gz

- Download MD5 sum: 0f92c7454e58379b4a5a378485bbd8ef

- Download size: 513 KB

- Estimated disk space required: 6 MB

- Estimated build time: 0.1 SBU

### libmpeg2 Dependencies

#### Optional

a graphical environment and SDL1

## Installation of libmpeg2

Install libmpeg2 by running the following commands:

    sed -i 's/static const/static/' libmpeg2/idct_mmx.c &&

    ./configure --prefix=/usr    \
                --enable-shared  \
                --disable-static &&
    make

To test the results, issue: make check. To perform a more comprehensive regression test, see the file `test/README` in the source tree.

Now, as the `root` user:

    make install &&

    install -v -m755 -d /usr/share/doc/libmpeg2-0.5.1 &&
    install -v -m644 README doc/libmpeg2.txt \
                        /usr/share/doc/libmpeg2-0.5.1

## Command Explanations

sed -i ...: This sed fixes problems with recent GCC compilers.

`--disable-static`: This switch prevents installation of static versions of the libraries.

## Contents

Installed Programs: corrupt_mpeg2, extract_mpeg2 and mpeg2dec
Installed Libraries: libmpeg2.so and libmpeg2convert.so
Installed Directories: /usr/include/mpeg2dec and /usr/share/doc/libmpeg2-0.5.1

### Short Descriptions

extract_mpeg2 | extracts MPEG video streams from a multiplexed stream
mpeg2dec | decodes MPEG1 and MPEG2 video streams
`libmpeg2.so` | contains API functions used to decode MPEG video streams
`libmpeg2convert.so` | contains API functions used for color conversions of MPEG video streams

- Prev

  libmad-0.15.1b

- Next

  libmusicbrainz-5.1.0

- Up
- Home